> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Manage addresses (add/update/remove)



## OpenAPI

````yaml /api-reference/platform-api.json put /v2/counterparties/{id}/addresses
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.6.1
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
paths:
  /v2/counterparties/{id}/addresses:
    put:
      tags:
        - Counterparties
      summary: Manage addresses (add/update/remove)
      operationId: manageAddresses
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManageAddressesDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CounterpartyAddressDto'
components:
  schemas:
    ManageAddressesDto:
      type: object
      properties:
        operations:
          minItems: 1
          maxItems: 100
          type: array
          items:
            $ref: '#/components/schemas/AddressOperationDto'
      required:
        - operations
    CounterpartyAddressDto:
      type: object
      properties:
        id:
          type: string
          example: 08846e81-b3a8-7fd9-cc39-d4023a75dcff
        address:
          type: string
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28'
        network:
          type: string
          example: ethereum
        name:
          type: string
          example: Vercel Payment Wallet
        label:
          type: string
          example: payment address
      required:
        - id
        - address
        - network
        - name
    AddressOperationDto:
      type: object
      properties:
        action:
          type: string
          enum:
            - add
            - update
            - remove
          example: add
        address:
          type: string
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28'
          description: On-chain address (required for add)
        network:
          type: string
          example: ethereum
          description: Network identifier (required for add)
        label:
          type: string
          example: payment wallet
        id:
          type: string
          example: 08846e81-b3a8-7fd9-cc39-d4023a75dcff
          description: Account UUID (required for update/remove)
      required:
        - action
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````